PLUGIN_PREFIX: "<gold><b>[<reset><white><b>PM<gold><b>]<reset> "
CONSOLE_SENDER_NAME: "CONSOLE"
MESSAGE_TO_FORMAT: "<gold><b>[<white><b>PM<gold><b>] <reset><red>to <aqua><player><white>: <gold><message>"
MESSAGE_TO_OFFLINE_FORMAT: "<gold><b>[<white><b>PM<gold><b>] <reset><red>to <gray>(Offline) <aqua><player><white>: <gold><message>"
MESSAGE_FROM_FORMAT: "<gold><b>[<white><b>PM<gold><b>] <reset><green>from <aqua><player><white>: <gold><message>"
SPY_MESSAGE_FORMAT: "<dark_gray>[PM] <sender> to <recipient>: <message>"
INFO_NO_PERMISSION: "<white>You don't have permission."
INFO_YOU_NOT_PLAYER: "<white>You are not a player."
INFO_CONFIG_RELOADED: "<white>Config reloaded."
INFO_PLAYER_NOW_IGNORED: "<white>Added <gold><player> <white>to ignored list."
INFO_PLAYER_NOW_NOT_IGNORED: "<white>Removed <gold><player> <white>from ignored list."
INFO_PLAYER_IGNORED: "<white>You ignore this player."
INFO_PLAYER_IGNORES_YOU: "<white>This player ignores you."
INFO_IGNORED_PLAYERS: "<white>Ignored players: <gray><ignored>"
INFO_SPY_ENABLED: "<white>Spy mode is now enabled."
INFO_SPY_DISABLED: "<white>Spy mode is now disabled."
INFO_NONE_TO_REPLY: "<white>You haven't received any message before."
INFO_CANNOT_MESSAGE_SELF: "<white>You can't send messages to yourself!"
INFO_OFFLINE_MESSAGING_DISABLED: "<white>Offline messaging is disabled."
INFO_NO_MESSAGES: "<white>No messages."
INFO_MESSAGE_NOT_FOUND: "<white>Message not found."
INFO_YOU_HAVE_UNREAD_MESSAGES: "<white>You have <gold><number> <white>unread messages. Type <gold>/pmread [1-<number>] <white>to read them."
INFO_CLEAR_MESSAGES_TIP: "<white>To clear all unread messages type <gold>/pmclear<white>."
INFO_MESSAGES_CLEARED: "<white>Cleared all unread messages."
INFO_MESSAGE_READ_NUMBER: "<gold>Message nr <white><number>"
INFO_MESSAGE_READ_SENDER: "<gold>Sender: <white><sender>"
INFO_MESSAGE_READ_MESSAGE: "<gold>Message: <white><message>"
INFO_MESSAGES_NOW_ENABLED: "<white>Messages are now enabled."
INFO_MESSAGES_NOW_DISABLED: "<white>Messages are now disabled."
INFO_MESSAGES_DISABLED: "<white>Messages are disabled. To enable them, type /pmtoggle."
INFO_PLAYER_MESSAGES_DISABLED: "<white>This player has disabled messages."
INFO_INVALID_NUMBER: "<white>Invalid number."
INFO_PLAYER_NOT_FOUND: "<white>Player not found."
INFO_TIPS_NOW_ENABLED: "<white>Plugin tips are now enabled."
INFO_TIPS_NOW_DISABLED: "<white>Plugin tips are now disabled."
INFO_NO_PLAYER_DATA: "<white>No data for player <gold><player> <white>found."
INFO_PLAYER_DATA_EXISTS: "<white>Data for player <gold><player> <white>already exists."
INFO_MIGRATE_SUCCESS: "<white>Migrated <gold><oldName> <white>data to new player name <gold><newName><white>."
INFO_MESSAGES_QUERY_INVALID_DATETIME_FORMAT: "<white>Invalid datetime format. Accepted format: <gold><format>"
INFO_MESSAGES_QUERY_INVALID_EXPRESSION: "<white>Invalid expression."
INFO_MESSAGES_QUERY_INVALID_MESSAGE_ID: "<white>Invalid message ID."
INFO_MESSAGES_DELETED: "<white>Deleted <gold><number> <white>message(s)."
INFO_DELETE_CONFIRMATION_REQUIRED: "<white>You are about to delete <gold><number> <white>messages from database. This may result in irreversible data loss. To continue, type <gold>/pmconfirm delete<white>."
INFO_DELETE_CONFIRMATION_NO_MESSAGES: "<white>You have no messages deletion action awaiting confirmation."
INFO_DELETE_NO_MESSAGES: "<white>No messages to delete."
HELP_COMMAND_MESSAGE:
- "<white>/msg <gray>[player] [msg] <gold>- send message to player"
HELP_COMMAND_REPLY:
- "<white>/r <gray>[msg] <gold>- reply to last message"
HELP_COMMAND_IGNORE:
- "<white>/pmignore <gray>[player] <gold>- ignore/unignore player"
HELP_COMMAND_IGNORED:
- "<white>/pmignored <gold>- ignored players list"
HELP_COMMAND_PMREAD:
- "<white>/pmread <gray>[msgnumber] <gold>- view unread messages"
HELP_COMMAND_PMCLEAR:
- "<white>/pmclear <gold>- delete all unread messages"
HELP_COMMAND_PMMIGRATE:
- "<white>/pmmigrate <gray>[old player name] [new player name] <gold>- migrate player data "
- "<white>/pmmigrate <gray>[old player name] [new player name] --force<gold> - migrate player data, overwriting existing data for given new name "
HELP_COMMAND_PMDELETE:
- "<white>/pmdelete <gray>[message ID] <gold>- delete message with given ID"
- "<white>/pmdelete <gray>[message1ID,message2ID...] <gold>- delete group of messages with given IDs"
- "<white>/pmdelete <gray>[query] <gold>- delete all messages matching query"
- "<white>Possible query parameters: <gold>BEFORE<white>, <gold>AFTER<white>, <gold>TO<white>, <gold>SINCE<white>, <gold>RANGE<white>, <gold>ALL"
- "<white>Accepted datetime format: <gold><datetimeformat>"
- "<white>Examples:"
- "<white>/pmdelete Notch SINCE 05.11.2011"
- "<white>/pmdelete John,Mike RANGE 01.01.2015 12.31.2015"
- "<white>/pmdelete ALL"
HELP_COMMAND_PMCONFIRM:
- "<white>/pmconfirm delete <gold>- confirm deletion of lastly selected messages"
TABCOMPLETE_EMPTY_PLAYER_NAME: "<PLAYER_NAME>"
TABCOMPLETE_EMPTY_MESSAGE_NUMBER: "<MESSAGE_NUMBER>"
TABCOMPLETE_EMPTY_MESSAGE_TEXT: "<TEXT>"
TABCOMPLETE_EMPTY_MESSAGE_ID: "<MESSAGE_ID>"
TABCOMPLETE_EMPTY_MESSAGE_IDS_GROUP: "<MESSAGE_ID,MESSAGE2_ID...>"
TABCOMPLETE_EMPTY_DATETIME: "<DATETIME>"
TABCOMPLETE_EMPTY_START_DATETIME: "<START_DATETIME>"
TABCOMPLETE_EMPTY_END_DATETIME: "<END_DATETIME>"
TABCOMPLETE_EMPTY_PLAYER_NAMES_PAIR: "<PLAYER_NAME,SECOND_PLAYER_NAME>"